<?php
require_once ("kontrolDB.php");

class login
{
	private $db_handle;
	
    public function __construct()
    {
       $this->db_handle = new kontrolDB();
    }
    
    public function verifikasi($data)
    {        
		$query = "SELECT * FROM knn_administrator WHERE username=? LIMIT 0, 1";
        $paramType = "s";
        $paramValue = array(
            $data
        );
        
        $result = $this->db_handle->getData($query, $paramType, $paramValue);
        return $result;
    }
	
	public function escapeString($value)
    {
        return $this->db_handle->escape_string($value);
    }
    
}
?>